Skip to main content
GET
/
v3
/
hyperframes
/
renders
/
{render_id}
Get HyperFrames Render
curl --request GET \
  --url https://api.heygen.com/v3/hyperframes/renders/{render_id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "render_id": "<string>",
    "title": "<string>",
    "callback_id": "<string>",
    "video_url": "<string>",
    "thumbnail_url": "<string>",
    "duration": 123,
    "fps": 123,
    "composition": "<string>",
    "created_at": 123,
    "completed_at": 123,
    "failure_message": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

render_id
string
required

Unique HyperFrames render identifier

Response

Successful response

data
HyperframesRenderDetail · object

Detailed HyperFrames render resource.